:host {
	display: grid;

	width: 40px !important;
	height: 40px !important;
	padding: 0 !important;
	border: 1px var(--border-color) solid;
	border-radius: 50%;
	background: var(--background-color);
	box-sizing: border-box;
	position: relative;

	user-select: none;

	.status-indicator {
		width: 16px;
		height: 16px;
		background-color: gray;
		border: 1px var(--border-color) solid;
		box-sizing: border-box;
		border-radius: 50%;

		position: absolute;
		bottom: 0;
		right: 0;

		&.online {
			background-color: #388e3c !important;
		}

		&.afk {
			background-color: #f57c00 !important;
		}

		&.dnd {
			background-color: #d32f2f !important;
		}
	}

	img {
		width: 100%;
		height: 100%;
		border-radius: 50%;
	}
}
